---
name: "🐛 Bug Report"
about: Report a reproducible bug or regression.
title: ''
labels: requires triage, bug
assignees: ''

---

<!--
  Please follow the template.  If you don't, your issue may be closed.

  Have a question?  This is the TypeORM issue tracker - and not the right place
  for general support or questions.  Instead, check the "Support" Documentation
  on the best places to ask questions!

  https://github.com/typeorm/typeorm/blob/master/docs/support.md
-->

## Issue Description

### Expected Behavior

<!--
  A clear and concise description of what you expected to happen.
-->


### Actual Behavior

<!--
  A clear and concise description of what actually happened.

  Please wrap any error messages or output in code tags, instead of images.
-->

```
// include the output in code tags like these!
```


### Steps to Reproduce

<!--
  Your bug will be investigated much faster if we can run your code and it doesn't
  have dependencies other than TypeORM. Issues without reproduction steps or
  code examples may be closed as not actionable.

  Please try to provide a Minimal, Complete, and Verifiable example.
  http://stackoverflow.com/help/mcve
-->

1.
2.

```typescript
// insert code here
```

### My Environment

<!--
  Please add any other relevant dependencies to this table at the end.
  For example: Electron, React Native, or NestJS.
-->

| Dependency          | Version  |
| ---                 | ---      |
| Operating System    |          |
| Node.js version     | x.y.zzz  | <!-- run `node -v` to obtain this -->
| Typescript version  | x.y.zzz  | <!-- run `npm list typescript` to obtain this -->
| TypeORM version     | x.y.zzz  | <!-- run `npm list typeorm` to obtain this -->


### Additional Context

<!--
  Add any other context about the bug report here.
-->


### Relevant Database Driver(s)

<!-- Put "yes" instead of "no" to your issue's relevant databases -->

| DB Type           | Reproducible  |
|-------------------| ---           |
| `aurora-mysql`    | no            |
| `aurora-postgres` | no            |
| `better-sqlite3`  | no            |
| `cockroachdb`     | no            |
| `cordova`         | no            |
| `expo`            | no            |
| `mongodb`         | no            |
| `mysql`           | no            |
| `nativescript`    | no            |
| `oracle`          | no            |
| `postgres`        | no            |
| `react-native`    | no            |
| `sap`             | no            |
| `spanner`         | no            |
| `sqlite`          | no            |
| `sqlite-abstract` | no            |
| `sqljs`           | no            |
| `sqlserver`       | no            |


### Are you willing to resolve this issue by submitting a Pull Request?

<!-- Put "✅" (:white_check_mark:) to one of these options, left "✖️" (:heavy_multiplication_x:) others: -->

 - ✅ Yes, I have the time, and I know how to start.
 - ✖️ Yes, I have the time, but I don't know how to start. I would need guidance.
 - ✖️ No, I don’t have the time, but I can support (using donations) development.
 - ✖️ No, I don’t have the time and I’m okay to wait for the community / maintainers to resolve this issue.


<!--
  Remember that first-time contributors are welcome! 🙌
  👋 Have a great day and thank you for the bug report!
-->
